Bug 697175 - missing BR in spec
Summary: missing BR in spec
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-HTML-Template
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-16 11:50 UTC by Levente Farkas
Modified: 2011-05-10 18:58 UTC (History)
1 user (show)

Fixed In Version: perl-HTML-Template-2.9-10.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-10 18:58:32 UTC


Attachments (Terms of Use)

Description Levente Farkas 2011-04-16 11:50:51 UTC
in the el6 branch the perl-CGI is missing from the BR lines and without that the test fail:


#   Failed test 'use CGI;'
#   at t/03-associate.t line 9.
#     Tried to use 'CGI'.
#     Error:  Can't locate CGI.pm in @INC (@INC contains: /builddir/build/BUILD/HTML-Template-2.9/blib/lib /builddir/build/BUILD/HTML-Template-2.9/blib/arch /usr/local
/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at (eval 9) line 2.
# BEGIN failed--compilation aborted at (eval 9) line 2.
Can't locate object method "new" via package "CGI" (perhaps you forgot to load "CGI"?) at t/03-associate.t line 22.
# Looks like you planned 7 tests but ran 4.
# Looks like you failed 1 test of 4 run.
# Looks like your test exited with 255 just after 4.
t/03-associate.t ...........
Dubious, test returned 255 (wstat 65280, 0xff00)
Failed 4/7 subtests

Comment 1 Fedora Update System 2011-04-24 21:02:21 UTC
perl-HTML-Template-2.9-10.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-HTML-Template-2.9-10.el6

Comment 2 Fedora Update System 2011-04-25 18:55:37 UTC
Package perl-HTML-Template-2.9-10.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing perl-HTML-Template-2.9-10.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-HTML-Template-2.9-10.el6
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-05-10 18:58:27 UTC
perl-HTML-Template-2.9-10.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.